import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { useData } from './Data';
import { Marks } from './Marks';

const width = 950;
const height = 550;

const App = () => {
  const data = useData();
  if (!data) {
    return <p>Map Loading...!!</p>;
  }

  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
